Exiv2: Exiv2::TiffRwState Class Reference

# Exiv2::TiffRwState Class Reference

Simple state class containing relevant state information for the TIFF reader. This is in a separate class so that the reader can change state if needed (e.g., to read certain complex makernotes). More...

`#include <tiffvisitor.hpp>`

List of all members.

## Public Types
typedef std::auto_ptr < TiffRwState > | AutoPtr
| TiffRWState auto_ptr type.
## Public Member Functions
Creators
| TiffRwState (ByteOrder byteOrder, uint32_t baseOffset, TiffCompFactoryFct createFct=0)
| Constructor.
Accessors
ByteOrder | byteOrder () const
| Return the applicable byte order. May be different for the Makernote and the rest of the TIFF entries.
uint32_t | baseOffset () const
| Return the base offset.
TiffCompFactoryFct | createFct () const
| Return the factory function to create new TIFF components.
## Friends
class | TiffReader

## Detailed Description

Simple state class containing relevant state information for the TIFF reader. This is in a separate class so that the reader can change state if needed (e.g., to read certain complex makernotes).

## Member Function Documentation

uint32_t Exiv2::TiffRwState::baseOffset | ( |  | ) | const`[inline]`

Return the base offset.

TIFF standard format uses byte offsets which are always relative to the start of the TIFF file, i.e., relative to the start of the TIFF image header. In this case, the base offset is 0. However, some camera vendors encode their makernotes in TIFF IFDs using offsets relative to (somewhere near) the start of the makernote data. In this case, base offset added to the start of the TIFF image header points to the basis for such makernote offsets.

TiffCompFactoryFct Exiv2::TiffRwState::createFct | ( |  | ) | const`[inline]`

Return the factory function to create new TIFF components.

Different create functions may use different lookup tables, so that makernotes can independently use their own factory function and lookup table, which can be defined together with the makernote implementation.

The documentation for this class was generated from the following file:

- tiffvisitor.hpp